import org.exolab.castor.xml.*;
import java.io.*;

public class CastorTest2 {
  public static void main(String[] args) {
    Customer myCust = new Customer();
    try {
      FileReader in = new FileReader("customer.xml");
      myCust = (Customer)Unmarshaller.unmarshal(Customer.class, in);
    } catch (Exception e) {
      System.out.println("Exception: "+e.getMessage());
    }

    System.out.println("    Customer ID: " + myCust.getID());
    System.out.println("     First Name: " + 
      myCust.getFirstName().getText());
    System.out.println(" Middle Initial: " + myCust.getMI().getText());
    System.out.println("      Last Name: " + 
      myCust.getLastName().getText());
	}
}
